=== debian/changelog ===
libjna-java (4.2.2-3) unstable; urgency=medium

  * Team upload.
  * Ignore the jna.boot.library.path and jna.boot.library.name properties
    and always load the system jnidispatch library (Closes: #858876)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 12 Apr 2017 10:52:44 +0200

libjna-java (4.2.2-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on hardening-wrapper. (Closes: #836632)
  * Standards-Version updated to 3.9.8 (no changes)

 -- tony mancill <tmancill@debian.org>  Sun, 04 Sep 2016 21:40:00 -0700

libjna-java (4.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Renamed the native library to avoid conflicts with other JNA jars used
    on the system (LP: #1065253)
  * Improved the reproducibility:
    - Use the year of the source date in the copyright notice of the javadoc
  * Standards-Version updated to 3.9.7 (no changes)
  * Use secure Vcs-* fields
  * Call dh_installchangelogs only once during the build

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 23 Mar 2016 13:45:27 +0100
