=== debian/control ===
Source: libjna-java
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>,
           Ludovic Claude <ludovic.claude@laposte.net>,
           Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends: ant,
               ant-optional,
               debhelper (>= 9),
               default-jdk,
               default-jdk-doc,
               javahelper (>=0.32~),
               libffi-dev,
               libx11-dev,
               libxt-dev,
               maven-repo-helper (>= 1.5~),
               pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libjna-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libjna-java.git
Homepage: https://github.com/twall/jna

Package: libjna-java
Architecture: all
Depends: libjna-jni, ${misc:Depends}
Suggests: libjna-java-doc
Description: Dynamic access of native libraries from Java without JNI
 JNA provides Java programs easy access to native shared libraries without
 writing anything but Java code - no JNI or native code is required. This
 functionality is comparable to Windows' Platform/Invoke and Python's ctypes.
 Access is dynamic at runtime without code generation.
 .
 JNA's design aims to provide native access in a natural way with a minimum of
 effort. No boilerplate or generated code is required. While some attention is
 paid to performance, correctness and ease of use take priority.
 .
 The JNA library uses a small native library stub to dynamically invoke native
 code. The developer uses a Java interface to describe functions and structures
 in the target native library. This makes it quite easy to take advantage of
 native platform features without incurring the high overhead of configuring and
 building JNI code for multiple platforms.

Package: libjna-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dynamic access of native libraries from Java without JNI (native libs)
 JNA provides Java programs easy access to native shared libraries without
 writing anything but Java code - no JNI or native code is required. This
 functionality is comparable to Windows' Platform/Invoke and Python's ctypes.
 Access is dynamic at runtime without code generation.
 .
 This package contains the native libraries for libjna-java

Package: libjna-platform-java
Architecture: all
Depends: libjna-java, ${misc:Depends}
Replaces: libjna-java (<< 3.4.2)
Breaks: libjna-java (<< 3.4.2)
Description: Dynamic access of native libraries from Java without JNI (platform extension)
 JNA provides Java programs easy access to native shared libraries without
 writing anything but Java code - no JNI or native code is required. This
 functionality is comparable to Windows' Platform/Invoke and Python's ctypes.
 Access is dynamic at runtime without code generation.
 .
 This package contains the platform library with many native functions already
 mapped as well as a set of utility interfaces that simplify native access.

Package: libjna-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Dynamic access of native libraries from Java without JNI (documentation)
 JNA provides Java programs easy access to native shared libraries without
 writing anything but Java code - no JNI or native code is required. This
 functionality is comparable to Windows' Platform/Invoke and Python's ctypes.
 Access is dynamic at runtime without code generation.
 .
 This package contains the Javadoc API documentation.
