## libjna-java 4.5.0

=== debian/changelog ===
libjna-java (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Sep 2017 14:43:54 +0200

libjna-java (4.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Added a link to ant.jar in the lib directory
  * Install the javadoc under /usr/share/doc/libjna-java/api
  * Include /usr/share/dpkg/pkg-info.mk instead of parsing dpkg-parsechangelog
  * Standards-Version updated to 4.0.0
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 05 Jul 2017 15:31:09 +0200
