=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Andrew Ross <ubuntu@rossfamily.co.uk>
 Build-Depends: ant,
                ant-optional,
-               debhelper (>= 9),
+               debhelper (>= 10),
                default-jdk,
                default-jdk-doc,
                javahelper (>=0.32~),
@@ -16,7 +16,7 @@
                libxt-dev,
                maven-repo-helper (>= 1.5~),
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/libjna-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libjna-java.git
 Homepage: https://github.com/twall/jna
