## libjna-java 4.5.1

=== native/Makefile ===
--- 
+++ 
@@ -50,8 +50,8 @@
                         -e 's/AIX.*/aix/g' \
                         -e 's/Linux.*/linux/g')
 
-JNA_JNI_VERSION=4.0.1 # auto-generated by ant
-CHECKSUM=1a6047467b59e8748f975e03016ce3d9 # auto-generated by ant
+JNA_JNI_VERSION=5.1.0 # auto-generated by ant
+CHECKSUM=74e8f8e397c43487738c5c1f1363498b # auto-generated by ant
 
 JAVA_INCLUDES=-I"$(JAVA_HOME)/include" \
               -I"$(JAVA_HOME)/include/$(OS)"
@@ -120,37 +120,49 @@
 PREFIX=arm-linux-androideabi-
 COPT+= -mthumb-interwork -march=armv5te -mtune=xscale -msoft-float -fstack-protector 
 HOST=arm-linux-eabi
-else ifeq ($(ARCH),armv7)
+else
+ifeq ($(ARCH),armv7)
 PREFIX=arm-linux-androideabi-
 COPT+= -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -Wl,--fix-cortex-a8
 HOST=arm-linux-eabi
 AARCH=arm
-else ifeq ($(ARCH),aarch64)
+else
+ifeq ($(ARCH),aarch64)
 PREFIX=aarch64-linux-android-
 HOST=aarch64-linux-android
 AARCH=arm64
 ALIBDIR=/usr/lib64
-else ifeq ($(ARCH),x86)
+else
+ifeq ($(ARCH),x86)
 PREFIX=i686-linux-android-
 COPT+= -march=i686
 HOST=i686-linux-android
-else ifeq ($(ARCH),x86-64)
+else
+ifeq ($(ARCH),x86-64)
 PREFIX=x86_64-linux-android-
 COPT+= -m64
 HOST=x86_64-linux-android
 AARCH=x86_64
 ALIBDIR=/usr/lib64
-else ifeq ($(ARCH),mips)
+else
+ifeq ($(ARCH),mips)
 PREFIX=mipsel-linux-android-
 HOST=mipsel-linux-android
 COPT+=
-else ifeq ($(ARCH),mips64)
+else
+ifeq ($(ARCH),mips64)
 PREFIX=mips64el-linux-android-
 HOST=mips64el-linux-android
 COPT+=
 ALIBDIR=/usr/lib64
 else
 ERROR = $(error "Unsupported android architecture '$(ARCH)'")
+endif
+endif
+endif
+endif
+endif
+endif
 endif
 NDK?=/Developer/Applications/android-ndk-r10e
 NDK_PLATFORM?=$(NDK)/platforms/android-21
@@ -200,26 +212,32 @@
 endif
 # This will be overridden when called from ant
 ARCH=$(shell uname -m | sed 's/i.86/i386/g')
-CDEFINES=-DHAVE_PROTECTION -DPSAPI_VERSION=1 -DFFI_BUILDING -DUNICODE -D_UNICODE
+CDEFINES=-DPSAPI_VERSION=1 -DFFI_BUILDING -DUNICODE -D_UNICODE
 WINDRES=windres
 EXTRAOBJS=$(RSRC)
 STRIP=@echo
 LIBPFX=
 LIBSFX=.dll
 TESTLIB_TRUNC=$(BUILD)/testlib-truncated.dll
+
 ifeq ($(ARCH),amd64)
 MINGW_PREFIX?=x86_64-w64-mingw32-
 FFI_CONFIG+=--host=x86_64-w64-mingw32
+else
+FFI_CONFIG+=--host=i686-w64-mingw32
+MINGW_PREFIX?=i686-w64-mingw32-
+endif
 # Need windres from mingw distribution, even if building with MSVC
 WINDRES=$(MINGW_PREFIX)windres
-MINGW=$(MINGW_PREFIX)gcc 
-else
-MINGW_PREFIX?=i686-pc-mingw32-
-endif
+MINGW=$(MINGW_PREFIX)gcc
 
 ifeq ($(USE_MSVC),true)
 # MS compiler
 CC=$(FFI_SRC)/msvcc.sh
+CDEFINES+=-DHAVE_PROTECTION 
+ifneq ($(DYNAMIC_LIBFFI),true)
+CDEFINES+=-DUSE_STATIC_RTL
+endif
 COPT=
 CPP=cl -nologo -EP
 LD=link
@@ -237,20 +255,10 @@
 # Mingw compiler
 LDFLAGS=-o $@ -shared
 FFI_ENV+=CXXCPP="$(CPP)"
-
-ifneq ($(ARCH),amd64)
 CC=$(MINGW_PREFIX)gcc
 CPP=$(MINGW_PREFIX)gcc -E
 LDFLAGS+=-Wl,--add-stdcall-alias
-LIBS=-lpsapi
-else
-# mingw64 lacks SEH, so MSVC build is preferred
-CC=$(MINGW)
-# No SEH under mingw64, thus no HAVE_PROTECTION
-CDEFINES=-DPSAPI_VERSION=1
-LD = $(CC)
 LIBS= -lmingwex -lpsapi -lkernel32 -lmsvcrt
-endif
 endif
 
 endif
@@ -279,7 +287,7 @@
 ifeq ($(ARCH),)
 ARCH=$(shell uname -p)
 endif
-PCFLAGS+=-fPIC
+PCFLAGS+=-fPIC -std=gnu99
 CDEFINES+=-DHAVE_PROTECTION -DFFI_MMAP_EXEC_WRIT -DUSE_DEFAULT_LIBNAME_ENCODING
 ifeq ($(ARCH), sparcv9)
   # alter CC instead of PCFLAGS, since we need to pass it down to libffi
@@ -312,6 +320,27 @@
 endif
 endif
 
+# CC_OPTS only applied to objects build for jnidispatch, not for libffi
+# -Wno-unknown-warning-option 
+#                => Suppress warning for unknown warnings
+# -Werror        => Treat warnings as errors
+# -Wno-clobbered => Silence GCC warning about clobbered automatic variables.
+#                   The "longjmp" case only happens in protect.h in the logic
+#                   that implements "protected" mode. In that case an exception
+#                   is raised and the value of the potentially clobbered
+#                   variables is ignored.
+#
+# Enable this only on GCC versions, that can work with it. It is assumed, that
+# GCC version 4.X is the lower bound. That version is problematic, as it
+# does not support -Wno-unknown-warning-option
+ifeq ($(CC),gcc)
+    GCC_MAJOR_VERSION = $(shell gcc -dumpversion | cut -f 1 -d '.')
+    ifneq ($(GCC_MAJOR_VERSION),4)
+	LOC_CC_OPTS=-Wno-unknown-warning-option -Werror -Wno-clobbered -Wno-unused-variable
+    endif
+else
+    LOC_CC_OPTS=-Wno-unknown-warning-option -Werror -Wno-clobbered -Wno-unused-variable
+endif
 
 # Enable 64-bit builds if the arch demands it
 ifeq ($(CC),gcc)
@@ -379,37 +408,3 @@
 PCFLAGS+=$(ISYSROOT) -x objective-c
 # JAWT no longer supported on OSX
 CDEFINES+=-DTARGET_RT_MAC_CFM=0 -DFFI_MMAP_EXEC_WRIT -DNO_JAWT
-LDFLAGS=$(ARCHFLAGS) -dynamiclib -o $@ -framework JavaVM \
-  -compatibility_version $(shell echo ${JNA_JNI_VERSION}|sed 's/^\([0-9][0-9]*\).*/\1/g') \
-  -current_version $(JNA_JNI_VERSION) \
-  -mmacosx-version-min=10.3 \
-  -framework Foundation \
-  $(NO_COMPACT_UNWIND) \
-  -install_name ${@F} \
-  $(SYSLIBROOT)
-# JAWT linkage handled by -framework JavaVM
-LIBS=
-endif
-
-# Unfortunately, we have to use different libffi include files depending on
-# the target, so we can't do a simple universal build on darwin.  Do
-# separate builds, then merge the results.
-$(BUILD)/%.o : %.c dispatch.h protect.h $(FFI_LIB)
-	@mkdir -p $(BUILD)
-ifneq ($(SDKROOT),)
-	$(CC) -arch $(ARCH) $(CFLAGS) -c $< -o $@.$(ARCH)
-	for arch in $(ALT_ARCHS); do \
-	  $(CC) -arch $$arch -I$(BUILD)/libffi.$$arch/include $(CFLAGS) -c $< -o $@.$$arch; \
-	done
-	lipo -create -output $@ $@.*
-else
-	$(CC) $(CFLAGS) -c $< $(COUT)
-endif
-
-all: $(LIBRARY) $(TESTLIB) $(TESTLIB2) $(TESTLIB_JAR) $(TESTLIB_PATH) $(TESTLIB_TRUNC)
-
-install:
-	mkdir $(INSTALLDIR)
-	cp $(LIBRARY) $(INSTALLDIR)
-
-ifeq ($(ARCH), amd64)
