=== debian/changelog ===
libjna-java (4.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed the contradicting javadoc patches
  * Standards-Version updated to 4.1.3

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Jan 2018 00:32:50 +0100

libjna-java (4.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #874649)
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Nov 2017 17:20:25 +0100
