=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libxt-dev,
                maven-repo-helper (>= 1.5~),
                pkg-config
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/libjna-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libjna-java.git
 Homepage: https://github.com/twall/jna
