=== debian/watch ===
version=3
https://github.com/twall/jna/tags .*/(\d[\d\.]+).tar.gz debian debian/orig-tar.sh
