## libjna-java 4.5.2

=== native/Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
                         -e 's/AIX.*/aix/g' \
                         -e 's/Linux.*/linux/g')
 
-JNA_JNI_VERSION=5.1.0 # auto-generated by ant
+JNA_JNI_VERSION=5.2.0 # auto-generated by ant
 CHECKSUM=74e8f8e397c43487738c5c1f1363498b # auto-generated by ant
 
 JAVA_INCLUDES=-I"$(JAVA_HOME)/include" \
