=== debian/changelog ===
libjna-java (4.5.2-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:06:40 +0000

libjna-java (4.5.2-1build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:29:34 +0000

libjna-java (4.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Backported the fix for the build failure with GCC 8
  * Standards-Version updated to 4.2.0
  * Removed debian/orig-tar.sh

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 13 Aug 2018 23:12:51 +0200

libjna-java (4.5.1-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with ant/1.10.3-2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Jul 2018 14:55:35 +0200

libjna-java (4.5.1-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #898459)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 May 2018 23:40:33 +0200
