=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Jan Dittberner <jandd@debian.org>,
-           Ludovic Claude <ludovic.claude@laposte.net>,
-           Andrew Ross <ubuntu@rossfamily.co.uk>
-Build-Depends: ant,
-               ant-optional,
-               debhelper (>= 10),
-               default-jdk,
-               default-jdk-doc,
-               javahelper (>=0.32~),
-               libffi-dev,
-               libx11-dev,
-               libxt-dev,
-               maven-repo-helper (>= 1.5~),
-               pkg-config
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libjna-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libjna-java.git
+Uploaders:
+ Jan Dittberner <jandd@debian.org>,
+ Ludovic Claude <ludovic.claude@laposte.net>,
+ Andrew Ross <ubuntu@rossfamily.co.uk>
+Build-Depends:
+ ant,
+ ant-optional,
+ debhelper (>= 11),
+ default-jdk,
+ default-jdk-doc,
+ javahelper (>=0.32~),
+ libffi-dev,
+ libx11-dev,
+ libxt-dev,
+ maven-repo-helper (>= 1.5~),
+ pkg-config
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/java-team/libjna-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libjna-java
 Homepage: https://github.com/twall/jna
 
 Package: libjna-java
