## libjna-java 5.5.0

=== debian/changelog ===
libjna-java (5.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-10 due to warning that cannot be checked
    correctly. Closes: #966889

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Aug 2020 11:53:52 +0100

libjna-java (5.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Jun 2020 00:16:29 +0200

libjna-java (4.5.2-2) unstable; urgency=medium

  * Team upload
  * Add patch to address build path in soname (Closes: #956178)
  * Specify debhelper compat 12 via debhelper-compat dependency

 -- tony mancill <tmancill@debian.org>  Fri, 10 Apr 2020 22:15:26 -0700
