## libjna-java 5.6.0

=== debian/changelog ===
libjna-java (5.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Switch to debhelper level 13
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Feb 2021 08:02:36 +0100
