=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  ant,
  ant-optional,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  default-jdk-doc,
  javahelper (>=0.32~),
@@ -18,7 +18,7 @@
  libxt-dev,
  maven-repo-helper (>= 1.5~),
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/libjna-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libjna-java
 Homepage: https://github.com/twall/jna
