=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 override_dh_auto_build:
 	ln -s /usr/share/java/ant.jar lib/ant.jar
 	ant -f build.xml \
+	    -Dcompatibility=8 \
 	    -Dcflags_extra.native="" \
 	    -Ddynlink.native=true \
 	    -Dnomixedjar.native=true \
