## libjna-java 5.9.0

=== native/Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 #
 # Supported platforms (built and tested):
 #
-#   Windows 2000/XP/2003/Vista (x86/amd64)
+#   Windows (x86/amd64/aarch64)
 #   Windows CE/Mobile (arm)
-#   Darwin/OS X (i386/x86_64/ppc)
+#   Darwin/OS X (i386/x86-64/ppc/aarch64)
 #   Linux (i386/amd64/ppc/arm)
 #   Solaris (i386/amd64/sparc/sparcv9)
 #   AIX (ppc/ppc64)
@@ -50,7 +50,7 @@
                         -e 's/AIX.*/aix/g' \
                         -e 's/Linux.*/linux/g')
 
-JNA_JNI_VERSION=5.2.0 # auto-generated by ant
+JNA_JNI_VERSION=5.1.0 # auto-generated by ant
 CHECKSUM=74e8f8e397c43487738c5c1f1363498b # auto-generated by ant
 
 JAVA_INCLUDES=-I"$(JAVA_HOME)/include" \
@@ -246,8 +246,21 @@
 ARSFX=.lib
 ifeq ($(ARCH),amd64)
 CC+= -m64
-endif
-FFI_CONFIG+= && rm -f include/ffitarget.h && cp $(FFI_SRC)/include/*.h $(FFI_SRC)/src/x86/ffitarget.h include
+FFI_TARGET=$(FFI_SRC)/src/x86/ffitarget.h
+else ifeq ($(ARCH),aarch64)
+# Force $(CC) fallback; avoid arch mismatch
+WINDRES=false
+# Disable mingw; no aarch64 support
+MINGW=
+FFI_CONFIG+=--host=aarch64-cygwin
+# Skip building assembly callback functions
+CDEFINES+= -DASMFN_OFF
+DLLCB=
+CC+= -marm64
+FFI_CONFIG+=--host=aarch64-cygwin
+endif
+FFI_TARGET?=$(FFI_SRC)/src/$(ARCH)/ffitarget.h
+FFI_CONFIG+= && rm -f include/ffitarget.h && cp $(FFI_SRC)/include/*.h $(FFI_TARGET) include
 FFI_ENV+=LD="$(LD)" CPP="$(CPP)" CXXCPP="$(CPP)"
 EXTRAOBJS+=$(DLLCB)
 
@@ -321,7 +334,7 @@
 endif
 
 # CC_OPTS only applied to objects build for jnidispatch, not for libffi
-# -Wno-unknown-warning-option 
+# -Wno-unknown-warning-option
 #                => Suppress warning for unknown warnings
 # -Werror        => Treat warnings as errors
 # -Wno-clobbered => Silence GCC warning about clobbered automatic variables.
@@ -329,6 +342,12 @@
 #                   that implements "protected" mode. In that case an exception
 #                   is raised and the value of the potentially clobbered
 #                   variables is ignored.
+# -Wno-alloca-larger-than => Silence warnings about unbounded alloca calls in
+#                   the dispatch logic. GCC tries to assert, that the size of
+#                   the allocated memory is bounded and thus a check for the
+#                   variable needs to be inplace. For the JNA case, the size
+#                   comes from the Java side, so checks are not visible on the
+#                   C side and thus can't be checked there.
 #
 # Enable this only on GCC versions, that can work with it. It is assumed, that
 # GCC version 4.X is the lower bound. That version is problematic, as it
@@ -336,7 +355,9 @@
 ifeq ($(CC),gcc)
     GCC_MAJOR_VERSION = $(shell gcc -dumpversion | cut -f 1 -d '.')
     ifneq ($(GCC_MAJOR_VERSION),4)
-	LOC_CC_OPTS=-Wno-unknown-warning-option -Werror -Wno-clobbered -Wno-unused-variable
+	ifneq ($(GCC_MAJOR_VERSION),3)
+	    LOC_CC_OPTS=-Wno-unknown-warning-option -Werror -Wno-clobbered -Wno-unused-variable -Wno-alloca-larger-than
+	endif
     endif
 else
     LOC_CC_OPTS=-Wno-unknown-warning-option -Werror -Wno-clobbered -Wno-unused-variable
@@ -371,40 +392,14 @@
 
 
 ifeq ($(OS),darwin)
-XCODE_VERSION=$(shell xcodebuild -version | grep Xcode | sed 's/^Xcode \([1-9]\).*/\1/g')
-JAVA_INCLUDES+=-I/System/Library/Frameworks/JavaVM.framework/Headers
-DEFAULT_ARCH=$(shell arch)
-ARCH=$(shell arch)
-HOST_CONFIG=--host $(ARCH)-apple-darwin
-FFI_ENV += CC="$(CC)" CFLAGS="-arch $(ARCH) $(ISYSROOT) $(COPT) $(CDEBUG)" CPPFLAGS="$(CDEFINES)" LD="$(LD) -arch $(ARCH)"
-ALT_ARCHS=
-ifneq ($(ARCH),i386)
-ALT_ARCHS+=i386
-endif
-ifneq ($(ARCH),x86_64)
-ALT_ARCHS+=x86_64
-endif
-ifneq ($(ARCH),ppc)
-ifeq ($(XCODE_VERSION),3)
-# Xcode 3 options
-# not supported on XCode 4+
-ALT_ARCHS+=ppc
-else
-# Xcode 4+ options
-NO_COMPACT_UNWIND=-Wl,-no_compact_unwind
-endif
-endif
-LIBSFX=.dylib
-JNISFX=.jnilib
-ifneq ($(SDKROOT),)
-SYSLIBROOT=-Wl,-syslibroot,$(SDKROOT)
-ISYSROOT=-isysroot $(SDKROOT)
-ARCHFLAGS=-arch i386 -arch x86_64
-ifeq ($(XCODE_VERSION),3)
-ARCHFLAGS+=-arch ppc
-endif
-endif
-
-PCFLAGS+=$(ISYSROOT) -x objective-c
-# JAWT no longer supported on OSX
-CDEFINES+=-DTARGET_RT_MAC_CFM=0 -DFFI_MMAP_EXEC_WRIT -DNO_JAWT
+
+DARWIN_ARCH=$(ARCH)
+ifeq ($(ARCH),aarch64)
+  DARWIN_ARCH=arm64
+else 
+ifeq ($(ARCH),x86-64)
+  DARWIN_ARCH=x86_64
+else
+ifeq ($(ARCH),x86)
+  DARWIN_ARCH=x86
+else
