=== debian/changelog ===
libjna-java (5.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.9.0
  * Add build-dep on libasm-java
  * Refresh patches for new upstream version
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Tue, 26 Oct 2021 06:59:11 -0700
