=== debian/control ===
--- 
+++ 
@@ -13,12 +13,13 @@
  default-jdk,
  default-jdk-doc,
  javahelper (>=0.32~),
+ libasm-java,
  libffi-dev,
  libx11-dev,
  libxt-dev,
  maven-repo-helper (>= 1.5~),
  pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/java-team/libjna-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libjna-java
 Homepage: https://github.com/twall/jna
