=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 override_dh_auto_build:
 	ln -s /usr/share/java/ant.jar lib/ant.jar
+	ln -s /usr/share/java/asm.jar lib/asm.jar
 	ant -f build.xml \
 	    -Dcompatibility=8 \
 	    -Dcflags_extra.native="" \
