## libjna-java 5.13.0

=== debian/changelog ===
libjna-java (5.13.0-2) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.

  [ Alexandre Rossi ]
  * Fix JNA Hello World on armhf (Closes: #1029908)

 -- tony mancill <tmancill@debian.org>  Sat, 28 Jan 2023 15:25:15 -0800

libjna-java (5.13.0-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Rossi ]
  * New upstream version 5.13.0
  * Add basic quickstart autopkgtest
  * Add debug output to autopkgtest helloworld log
  * Fix getMultiArchPath() for aarch64, armhf and ppc64el (Closes: #1028374)
  * Unfuzz patches
  * Use dpkg facilities for multiarch vars
  * Declare compliance to standards-version 4.6.2 (no change)
  * Add Rules-Require-Root
  * Force creation of lib symlinks to avoid build error
  * Update lintian overrides; source-is-missing for HTML is false positive

 -- Alexandre Rossi <niol@zincube.net>  Thu, 26 Jan 2023 22:29:46 +0100

libjna-java (5.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed the -java-doc package
  * Removed .gitattributes from the upstream tarball
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 05 Dec 2022 15:23:48 +0100
