=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  ant-optional,
  debhelper-compat (= 13),
  default-jdk,
- default-jdk-doc,
  javahelper (>=0.32~),
  libasm-java,
  libffi-dev,
@@ -19,7 +18,8 @@
  libxt-dev,
  maven-repo-helper (>= 1.5~),
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/java-team/libjna-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libjna-java
 Homepage: https://github.com/twall/jna
@@ -27,7 +27,6 @@
 Package: libjna-java
 Architecture: all
 Depends: libjna-jni, ${misc:Depends}
-Suggests: libjna-java-doc
 Description: Dynamic access of native libraries from Java without JNI
  JNA provides Java programs easy access to native shared libraries without
  writing anything but Java code - no JNI or native code is required. This
@@ -68,15 +67,3 @@
  .
  This package contains the platform library with many native functions already
  mapped as well as a set of utility interfaces that simplify native access.
-
-Package: libjna-java-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Description: Dynamic access of native libraries from Java without JNI (documentation)
- JNA provides Java programs easy access to native shared libraries without
- writing anything but Java code - no JNI or native code is required. This
- functionality is comparable to Windows' Platform/Invoke and Python's ctypes.
- Access is dynamic at runtime without code generation.
- .
- This package contains the Javadoc API documentation.
