=== debian/changelog ===
libjna-java (5.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Jan 2024 17:55:29 +0100
