=== debian/tests/control ===
Tests: helloworld
Depends: @, default-jdk
Restrictions: allow-stderr
