## libjna-java 5.15.0

=== native/Makefile ===
--- 
+++ 
@@ -15,7 +15,9 @@
 #   Linux (i386/amd64/ppc/arm)
 #   Solaris (i386/amd64/sparc/sparcv9)
 #   AIX (ppc/ppc64)
-#   FreeBSD/OpenBSD/NetBSD (i386/amd64)
+#   DragonFly (x86-64)
+#   FreeBSD (i386/amd64/aarch64)
+#   OpenBSD/NetBSD (i386/amd64)
 #   Android (arm/armv7/aarch64/x86/x86-64/mipsel/mips64el)
 #
 # Built, but with outstanding bugs (not necessarily within JNA):
@@ -45,6 +47,7 @@
                         -e 's/NetBSD/netbsd/g' \
                         -e 's/GNU\/kFreeBSD/kfreebsd/g' \
                         -e 's/FreeBSD/freebsd/g' \
+                        -e 's/DragonFly/dragonfly/g' \
                         -e 's/OpenBSD/openbsd/g' \
                         -e 's/Darwin.*/darwin/g' \
                         -e 's/AIX.*/aix/g' \
@@ -177,7 +180,7 @@
 JAVA_INCLUDES=
 CINCLUDES+=-I"$(NDK_PLATFORM)/arch-$(AARCH)/usr/include" # -I/usr/include
 LIBS=-nostdlib -L"$(NDK_PLATFORM)/arch-$(AARCH)$(ALIBDIR)/" -lgcc -lc -ldl -lm
-LDFLAGS+=-Wl,-shared,-Bsymbolic
+LDFLAGS+=-Wl,-shared,-Bsymbolic -Wl,--build-id=sha1
 FFI_ENV=CPP="$(CPP)" CC="$(CC)" CFLAGS="$(COPT) $(CDEBUG) $(CINCLUDES)" CPPFLAGS="$(CDEFINES) $(CINCLUDES)" LIBS="$(LIBS)" RANLIB="$(RANLIB)"
 FFI_CONFIG=--enable-static --disable-shared --with-pic=yes --host=$(HOST)
 endif
@@ -288,10 +291,14 @@
 endif
 endif
 
-ifneq (,$(findstring bsd,$(OS)))
+ifneq (,$(or $(findstring bsd,$(OS)),$(findstring dragonfly,$(OS))))
 ARCH=$(shell uname -m | sed 's/i.86/i386/g')
 PCFLAGS+=-fPIC
-CINCLUDES+=-I/usr/X11R6/include
+# This is a mess: X11 headers locate in /usr/local/include on FreeBSD and
+# DragonFly, in /usr/X11R7/include on NetBSD, and in /usr/X11R6/include on
+# OpenBSD.
+CINCLUDES+=-I/usr/local/include -I/usr/X11R7/include -I/usr/X11R6/include
+CINCLUDES+=$(X11INC)  # Allow extra X11 include path if necessary.
 LDFLAGS=-o $@ -shared
 CDEFINES+=-DHAVE_PROTECTION -DFFI_MMAP_EXEC_WRIT -DUSE_DEAFULT_LIBNAME_ENCODING
 endif
@@ -366,35 +373,3 @@
 # Enable 64-bit builds if the arch demands it
 ifeq ($(CC),gcc)
 ifneq ($(OS),aix)
-ifeq ($(ARCH),amd64)
-  CC += -m64
-  LD += -m64
-endif
-ifeq ($(ARCH),ppc64)
-  CC += -m64
-  LD += -m64
-endif
-ifeq ($(ARCH),ppc64le)
-  CC += -m64
-  LD += -m64
-endif
-ifeq ($(ARCH),ppc)
-  CC += -m32
-  LD += -m32
-  HOST_CONFIG=--host=ppc-linux
-endif
-ifeq ($(ARCH),i386)
-  CC += -m32
-  LD += -m32
-endif
-endif
-endif
-
-
-ifeq ($(OS),darwin)
-
-DARWIN_ARCH=$(ARCH)
-ifeq ($(ARCH),aarch64)
-  DARWIN_ARCH=arm64
-else 
-ifeq ($(ARCH),x86-64)
