=== debian/changelog ===
libjna-java (5.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Build depend on pkgconf instead of pkg-config
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 23 Oct 2024 17:17:18 +0200
