=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
  libx11-dev,
  libxt-dev,
  maven-repo-helper (>= 1.5~),
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/java-team/libjna-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libjna-java
