=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/twall/jna/tags .*/(\d[\d\.]+).tar.gz
